com.ihr.xbrl.versioning

## Class ReportWriter

- java.lang.Object
- - com.ihr.xbrl.versioning.ReportWriter

-     public class ReportWriter
      extends java.lang.Object

  This class serializes the content of a versioning report in an XBRL instance document.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportWriter(java.net.URI u, VlVersioningProcessor vp, java.lang.String companyName, java.lang.String startDate, java.lang.String endDate, java.lang.String instantDate, java.lang.String scheme, DTSComparator dtc, boolean bRelativize, java.lang.String genLinkFileName)` TODO: contexts are not needed anymore.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `documentAction(Path dp, XBRLFactsList cf, XBRLTaxonomy verTx, org.jdom.Namespace verNS, GenericLinkbase glb, XBRLInstance report, boolean relativize, java.net.URI u)` recursive function.
    `void` | `writeReport()` Write report.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportWriter

          public ReportWriter(java.net.URI u,
                      VlVersioningProcessor vp,
                      java.lang.String companyName,
                      java.lang.String startDate,
                      java.lang.String endDate,
                      java.lang.String instantDate,
                      java.lang.String scheme,
                      DTSComparator dtc,
                      boolean bRelativize,
                      java.lang.String genLinkFileName)

      TODO: contexts are not needed anymore. Remove unnecesary stuff.
      Parameters:
        `u` - the u
        `vp` - the vp
        `companyName` - the company name
        `startDate` - the start date
        `endDate` - the end date
        `instantDate` - the instant date
        `scheme` - the scheme
        `dtc` - the dtc
        `bRelativize` - the b relativize
        `genLinkFileName` - the gen link file name

  - ### Method Detail

    - #### writeReport

          public void writeReport()

      Write report.

    - #### documentAction

          public static void documentAction(Path dp,
                            XBRLFactsList cf,
                            XBRLTaxonomy verTx,
                            org.jdom.Namespace verNS,
                            GenericLinkbase glb,
                            XBRLInstance report,
                            boolean relativize,
                            java.net.URI u)
                                     throws java.net.URISyntaxException

      recursive function. Documents only the final diffs
      Parameters:
        `dp` - Path
        `cf` - XBRLFactsContainer
        `verTx` - XBRLTaxonomy
        `verNS` - Namespace
        `glb` - GenericLinkbase
        `report` - XBRLInstance
        `relativize` - boolean
        `u` - URI
      Throws:
        `java.net.URISyntaxException` - the URI syntax exception